/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst.feature.services;

import cz.fidentis.analyst.feature.FeaturePoint;
import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;
import java.util.Optional;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.DisplayName;

/**
 *
 * @author Jakub Kolman
 */
public class FeaturePointExportServiceTest {

    private static final Path testFileDirectory = Paths.get("src", "test", "resources", "cz", "fidentis", "analyst", "feature", "services");
    private static final String TEST_CSV_FILE = "00007_01_landmarks.csv";

    @DisplayName("Test writing a CSV file")
    @Test
    void exportFeaturePointsCSVTest() throws IOException {
        FeaturePointExportService service = new FeaturePointExportService();
        Optional<List<FeaturePoint>> featurePoints = loadFeaturePoints();
        service.exportFeaturePoints(featurePoints.get(), "test_file", "CSV");
    }

    @DisplayName("Test writing a FP file")
    @Test
    void exportFeaturePointsFPTest() throws IOException {
        FeaturePointExportService service = new FeaturePointExportService();
        Optional<List<FeaturePoint>> featurePoints = loadFeaturePoints();
        service.exportFeaturePoints(featurePoints.get(), "test_file", "FP");
    }

    private Optional<List<FeaturePoint>> loadFeaturePoints() {
        FeaturePointsCsvLoader service = new FeaturePointsCsvLoader();
        Optional<List<FeaturePoint>> featurePoints = service.importFeaturePointsCSV(testFileDirectory.toString(), TEST_CSV_FILE);
        return featurePoints;

    }
}
